package cn.hnthyy.thmz.service.his;

import cn.hnthyy.thmz.entity.MzException;
import cn.hnthyy.thmz.entity.his.APatientMi;
import cn.hnthyy.thmz.entity.his.ZyActpatient;

import java.util.List;

public interface ZyActpatientService {
    /**
     * 入库病人在院或者出院信息
     * @param zyActpatient
     * @return
     */
    int saveZyActpatient(ZyActpatient zyActpatient);


    /**
     * 入库病人在院 且变更入院申请单
     * @param zyActpatient
     * @return
     */
    int saveZyActpatientFull(ZyActpatient zyActpatient) throws MzException;


    /**
     * 根据住院号查询在院记录数
     * @return
     */
    int queryCountByInpatientNo(String inpatientNo);


    /**
     * 根据住院号查询在院记录
     *
     * @return
     */
    ZyActpatient queryByInpatientNo(String tableName,String inpatientNo);

    /**
     * 修改住院号
     * @param aPatientMi
     * @return
     */
    int modifyInpatientNo(APatientMi aPatientMi);
    /**
     * 根据病人门诊id或者住院号查询病人信息
     * @param zyActpatient
     * @return
     */
    List<ZyActpatient> queryZyActpatientByInpatientNoOrMzNO(ZyActpatient zyActpatient);
}
